<?php
/*
Plugin Name: Statistics
Version: 1.7.b
Description: Add source code like Google Analytics on each page.
Plugin URI: http://phpwebgallery.net/ext/extension_view.php?eid=174
Author: Ruben & Sakkhho
Author URI: http://www.phpwebgallery.net
*/


if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
global $prefixeTable , $conf, $user;

define('STAT_DIR' , basename(dirname(__FILE__)));
define('STAT_PATH' , PHPWG_PLUGINS_PATH . STAT_DIR . '/');


function statistics_admin_menu($menu)
{
    array_push($menu, array('NAME' => 'Statistics',
            'URL' => get_admin_plugin_menu_link(STAT_PATH . 'admin/stat_admin.php')));
    return $menu;
}


function stat_tail()
{
  global $template, $conf, $user;
	  
	$conf_statistics = explode("," , $conf['statistics']);
	
	
	 if (($conf_statistics[3] == 'on' AND !is_admin()) OR (empty($conf_statistics[3])))   {
       
         if ($conf_statistics[1] == 'on') {
        
	  $template->loadfile('tail');
	  $template->uncompiled_code['tail'] = str_replace('</div> <!-- the_page -->', $conf_statistics[2].'
	</div> <!-- the_page -->', $template->uncompiled_code['tail']);

	}
  }
}


function stat_header()
{
   global $template, $conf, $user;
   
  $conf_statistics = explode("," , $conf['statistics']);
   
    if (($conf_statistics[3] == 'on' AND !is_admin()) OR (empty($conf_statistics[3])))   {
		if ($conf_statistics[0] == 'on' )
		
		{

	$conf_statistics = explode("," , $conf['statistics']);  
	$template->assign_block_vars('head_element', array('CONTENT' => $conf_statistics[2]));
	
}}
} 


add_event_handler('get_admin_plugin_menu_links', 'statistics_admin_menu');
add_event_handler('loc_end_page_tail', 'stat_tail');
add_event_handler('loc_end_page_header', 'stat_header' );


?>